plugins {
    alias(libs.plugins.android.application)
    alias(libs.plugins.kotlin.android)

    // For "Room", see below for more details.
    kotlin("kapt")
}

android {
    namespace = "com.hyperling.roomexample"
    compileSdk = 34

    defaultConfig {
        applicationId = "com.hyperling.roomexample"
        minSdk = 19
        targetSdk = 34
        versionCode = 1
        versionName = "1.0"

        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            isMinifyEnabled = false
            proguardFiles(
                getDefaultProguardFile("proguard-android-optimize.txt"),
                "proguard-rules.pro"
            )
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_11
        targetCompatibility = JavaVersion.VERSION_11
    }
    kotlinOptions {
        jvmTarget = "11"
    }
    buildFeatures {
        viewBinding = true
    }
}

dependencies {

    implementation(libs.androidx.core.ktx)
    implementation(libs.androidx.appcompat)
    implementation(libs.material)
    implementation(libs.androidx.constraintlayout)
    implementation(libs.androidx.navigation.fragment.ktx)
    implementation(libs.androidx.navigation.ui.ktx)
    testImplementation(libs.junit)
    androidTestImplementation(libs.androidx.junit)
    androidTestImplementation(libs.androidx.espresso.core)

    // For Room
    // https://www.youtube.com/watch?v=bOd3wO0uFr8&themeRefresh=1
    /* build.gradle version * /
    def room_version: String = "2.5.0"
    implementation"androidx.room:room-ktx:$room_version"
    kapt "androidx.room:room-compiler:$room_version"
    // */
    /* build.grade.kts version */
    val room_version: String = "2.5.0"
    implementation("androidx.room:room-ktx:$room_version")
    kapt("androidx.room:room-compiler:$room_version")
    // */
}